%global momorel 5

Summary: desktop note-taking application
Name: tomboy
Version: 1.2.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.beatniksoftware.com/tomboy/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.2/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: mono-devel >= 2.4.2.3
BuildRequires: mono-core >= 2.2

BuildRequires: libgnomeprint22-devel >= 2.18.6
BuildRequires: libgnomeprintui22-devel >= 2.18.4
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: atk-devel >= 1.26.0
BuildRequires: gnome-panel-devel >= 2.26.0
BuildRequires: gtkspell-devel >= 2.0.11
BuildRequires: ndesk-dbus >= 0.6.0
BuildRequires: ndesk-dbus-glib >= 0.4.1
BuildRequires: mono-addins-devel >= 0.4
BuildRequires: gnome-sharp-devel >= 2.24.1
BuildRequires: gnome-desktop-sharp-devel >= 2.26.0
BuildRequires: gnome-desktop-sharp-gnome-panel
BuildRequires: gnome-sharp-GConf2
BuildRequires: gtk-sharp2-devel >= 2.12.8
BuildRequires: gmime-sharp >= 2.2.23
BuildRequires: galago-sharp-devel >= 0.5.0
BuildRequires: GConf2
BuildRequires: dbus-glib-devel
BuildRequires: gnome-doc-utils-devel
Requires: galago-daemon
Requires: gnome-panel
Requires: gtkspell
Requires: gtk2
Requires: hicolor-icon-theme
Requires: mono-addins
Requires: gnome-desktop-sharp
Requires: gnome-sharp
Requires: gnome-desktop-sharp-gnome-panel
Requires: gnome-sharp-GConf2
Requires: gmime-sharp
Requires: ndesk-dbus
Requires: ndesk-dbus-glib

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple and
easy to use, but with potential to help you organize the ideas and
information you deal with every day.

Have you ever felt the frustration at not being able to locate a website you
wanted to check out, or find an email you found interesting, or remember an
idea about the direction of the political landscape in post-industrial
Australia? Or are you one of those desperate souls with home-made, buggy, or
not-quite-perfect notes systems?

Time for Tomboy. We bet you'll be surprised at how well a little application
can make life less cluttered and run more smoothly.
#'

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-panelapplet-srvdir-check=yes \
    --enable-dbus=yes \
    --enable-evolution=yes \
    --enable-sketching=yes \
    --enable-galago=yes \
	--disable-update-mimedb
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
find %{buildroot} -name "*.mdb" -delete
sed "s/--search//" -i %{buildroot}%{_datadir}/applications/tomboy.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/tomboy.schemas \
    > /dev/null || :

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/tomboy.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/tomboy.schemas \
	> /dev/null || :
fi

%postun
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/tomboy.schemas
%{_bindir}/%{name}
%{_bindir}/tomboy-panel
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service
%{_datadir}/applications/tomboy.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_mandir}/man1/tomboy.1.*
%{_datadir}/omf/%{name}

%{_datadir}/mime/packages/tomboy.xml

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.1-5m)
- full rebuild for mo7 release

* Sun Aug 22 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-3m)
- add many Requires:

* Sun Jun 27 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.1-3m)
- fix BuildRequires

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-2m)
- delete conflict file

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.2-1m)
- update to 1.1.2

* Sat Dec 19 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.1-2m)
- add autoreconf, for libtool 2.2.6b

* Thu Nov 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 26 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-3m)
- add BuildPrereq

* Sun Sep 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-2m)
-- good-bye search option from desktop file again

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Mon Sep 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-5m)
- rebuild against mono-2.4.2.3
-- good-bye search option from desktop file

* Sat Aug  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-4m)
- add Req:gnome-desktop-sharp

* Sun Jul 12 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.14.3-3m)
- add BuildPrereq

* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-2m)
- add devel package

* Sat Jun 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-1m)
- update to 0.14.3

* Fri May 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-1m)
- update to 0.14.2

* Tue Apr 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.1-1m)
- update to 0.14.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0-1m)
- update to 0.14.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.6-1m)
- update to 0.13.6

* Mon Feb 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.5-1m)
- update to 0.13.5

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.4-1m)
- update to 0.13.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.2-2m)
- rebuild against rpm-4.6

* Thu Dec 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-3m)
- good-bye debug symbol

* Fri Nov  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-2m)
- add patch0 (for menu)

* Thu Oct  9 2008 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Thu Sep 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.2-3m)
- add Requires: mono-addins

* Sat Aug  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-2m)
- add Requires: gtk2-common hicolor-icon-theme

* Tue May 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0
- delete patch0 and patch1(merged)

* Tue Feb 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-3m)
- add patch1 for gnome-sharp-2.16.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.2-2m)
- %%NoSource -> NoSource

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Sun Sep  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-4m)
- add patch1 for mono-1.2.5

* Mon Jul  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-3m)
- add patch0 for Tomboy.exe.config

* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.3-2m)
- fix BuildPrereq

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.9-1m)
- update to 0.5.9

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-3m)
- rewind %%post script (gconftool-2)

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-3m)
- add patch1 for mono-1.2.3

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-1m)
- update to 0.5.8 (unstable)

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Mon Sep  4 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.3.9-4m)
- add Requires: galago-daemon, eds-feed

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-3m)
- enable galago-sharp

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-2m)
- add patch0 for dbus

* Thu Aug 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-1m)
- initial build
